package net.brutex.gan;

import javax.swing.JPanel;
import javax.swing.JSplitPane;
import javax.swing.JLabel;
import java.awt.BorderLayout;

public class App2GUI extends JPanel {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private JPanel overall_panel;
	private JPanel real_panel;
	private JPanel gen_panel;

	/**
	 * Create the panel.
	 */
	public App2GUI() {
		
		overall_panel = new JPanel();
		add(overall_panel);
		
		JSplitPane splitPane = new JSplitPane();
		overall_panel.add(splitPane);
		
		JPanel p1 = new JPanel();
		splitPane.setLeftComponent(p1);
		p1.setLayout(new BorderLayout(0, 0));
		
		JLabel lblNewLabel = new JLabel("Generator");
		p1.add(lblNewLabel, BorderLayout.NORTH);
		
		gen_panel = new JPanel();
		p1.add(gen_panel, BorderLayout.SOUTH);
		
		JPanel p2 = new JPanel();
		splitPane.setRightComponent(p2);
		p2.setLayout(new BorderLayout(0, 0));
		
		JLabel lblNewLabel_1 = new JLabel("Real");
		p2.add(lblNewLabel_1, BorderLayout.NORTH);
		
		real_panel = new JPanel();
		p2.add(real_panel, BorderLayout.SOUTH);

	}


	public JPanel getOverall_panel() {
		return overall_panel;
	}
	public JPanel getReal_panel() {
		return real_panel;
	}
	public JPanel getGen_panel() {
		return gen_panel;
	}
}
